import java.awt.*;
import java.io.*;
import java.applet.*;
import java.net.*;
import java.sql.*;
import quadbase.ChartAPI.*;
import quadbase.util.*;

public class ParameterDrillDownChartERES extends Applet {
	static final long serialVersionUID = 1;

public static void main(java.lang.String[] args) {

	try {

		ParameterDrillDownChartERES doChart = new ParameterDrillDownChartERES();
		Frame frame = new Frame();
		frame.setLayout(new BorderLayout());
		frame.add("Center", doChart.doDrillDownChart(null));
		frame.setSize(500, 500);
		frame.setVisible(true);

	} catch (Exception ex) {

	ex.printStackTrace();

	}
}

public void init()  {

	setLayout(new BorderLayout());
	add("Center", doDrillDownChart(this));

	}

Component doDrillDownChart(Applet applet)  {

   // Connect to ERES Server
   QbChart.useServlet(true);
   QbChart.setServletRunner("http://localhost:8080");
   QbChart.setServletContext("ERES/servlet");
   
	// Begin Code : Creating Chart 1  - the Root Chart
	DBInfo rootInfo = new DBInfo("jdbc:hsqldb:help/examples/DataSources/database/woodview","org.hsqldb.jdbcDriver",
				     "sa",
				     "",
				     "SELECT Employees.LastName, Count(Orders.OrderID) AS Count_Of_OrderID FROM Employees, Order_Details, Orders WHERE (Orders.EmployeeID = Employees.EmployeeID) AND (Orders.OrderID = Order_Details.OrderID) GROUP BY Employees.LastName");

	ColInfo rootColInfo = new ColInfo(-1, 0, -1, 1);
	QbChart rootChart = new QbChart(applet, QbChart.VIEW2D, QbChart.PIE, rootInfo, false, rootColInfo, null);

	SimpleQueryInParam inParam = new SimpleQueryInParam("LastName", "Please select", true,
							    "Customers", "Company", Types.VARCHAR,
						            "All Unfinished Furniture", null);

	SimpleQueryInParam[] paramSet = {inParam};

	SimpleQueryFileInfo levelChartInfo = new SimpleQueryFileInfo("jdbc:hsqldb:help/examples/DataSources/database/woodview",
								     "org.hsqldb.jdbcDriver", "sa", "",
								     "SELECT Categories.CategoryName, Employees.LastName, Sum(Order_Details.Quantity) AS Sum_Of_Quantity FROM Products, Employees, Categories, Order_Details, Orders WHERE (Orders.OrderID = Order_Details.OrderID) AND (Employees.EmployeeID = Orders.EmployeeID) AND (Products.CategoryID = Categories.CategoryID) AND (Products.ProductID = Order_Details.ProductID) GROUP BY Categories.CategoryName, Employees.LastName HAVING (Employees.LastName =:LastName)");


	levelChartInfo.setInParam(paramSet);
	
	ColInfo levelOneChartColInfo = new ColInfo(-1, 0, -1, 2);

	try {

		rootChart.createDrillDownChart("TestDrillDownChart", QbChart.VIEW2D,
		QbChart.COL, levelChartInfo, false, null,
		levelOneChartColInfo, null, new int[] {0});
		rootChart.updateDrillDownCharts();

	} catch (Exception ex) { ex.printStackTrace(); }
	
return rootChart;

}

}
